package eu.etaxonomy.taxeditor.navigation.navigator;

import org.eclipse.ui.internal.navigator.NavigatorContentService;
import org.eclipse.ui.navigator.INavigatorDnDService;

public class TaxonNavigatorContentService extends NavigatorContentService {

	private TaxonNavigatorDnDService navigatorDnDService;

	public TaxonNavigatorContentService(String viewerID) {
		super(viewerID);
		
		
	}
	
	public TaxonNavigatorContentService(String aViewerId,
			TaxonNavigatorViewer taxonNavigatorViewer) {
		super(aViewerId, taxonNavigatorViewer);
		getDnDService();
	}

	@Override
	public TaxonNavigatorDnDService getDnDService() {
		if (navigatorDnDService == null) {
			navigatorDnDService = new TaxonNavigatorDnDService(this);
		}
		return navigatorDnDService;
	}

}
